Package org.springframework.scheduling.support

# Interface ScheduledTaskObservationConvention

All Superinterfaces:
  `io.micrometer.observation.KeyValuesConvention`, `io.micrometer.observation.ObservationConvention<ScheduledTaskObservationContext>`

All Known Implementing Classes:
  `DefaultScheduledTaskObservationConvention`

public interface ScheduledTaskObservationConvention extends io.micrometer.observation.ObservationConvention<ScheduledTaskObservationContext>
Interface for an `ObservationConvention` for `scheduled task executions`.

Since:
  6.1
Author:
  Brian Clozel

## Field Summary

### Fields inherited from interface io.micrometer.observation.ObservationConvention

`EMPTY`

## Method Summary

Modifier and Type
Method
Description
`default boolean`
`supportsContext(io.micrometer.observation.Observation.Context context)`

### Methods inherited from interface io.micrometer.observation.ObservationConvention

`getContextualName, getHighCardinalityKeyValues, getLowCardinalityKeyValues, getName`

## Method Details

### supportsContext

default boolean supportsContext(io.micrometer.observation.Observation.Context context)

Specified by:
  `supportsContext` in interface `io.micrometer.observation.ObservationConvention<ScheduledTaskObservationContext>`